Summary:	Next Generation IRC Daemon
Name:		ngircd
Version:	26.1
Release:	%mkrel 3
Group:		System/Servers
License:	GPLv2+
URL:		https://ngircd.barton.de/
Source0:	https://ngircd.barton.de/pub/ngircd/ngircd-%{version}.tar.xz
Source1:	https://ngircd.barton.de/pub/ngircd/ngircd-%{version}.tar.xz.sig
Source2:	ngircd.service
Source3:	ngircd.pam
Patch0:		ngircd-21.1-default_config.diff
BuildRequires:	pkgconfig(openssl)
BuildRequires:	tcp_wrappers-devel
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pam-devel
Requires(post):  systemd >= %{systemd_required_version}
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1

%description
ngIRCd is a free open source daemon for Internet Relay Chat (IRC), developed
under the GNU General Public License (GPL). It's written from scratch and is
not based upon the original IRCd like many others.

%prep

%setup -q
%autopatch -p1

cp %{SOURCE2} ngircd.service
cp %{SOURCE3} ngircd.pam

%build
%serverbuild

# to prevent nasty ipv6 surprises
export CFLAGS="$CFLAGS -D_GNU_SOURCE"

%configure \
    --enable-ipv6 \
    --with-syslog \
    --with-zlib \
    --with-epoll \
    --with-openssl \
    --with-tcp-wrappers \
    --with-pam

%make_build

%install

install -d %{buildroot}%{_unitdir}
install -d %{buildroot}%{_sysconfdir}/pam.d

%make_install

install -m0755 ngircd.service %{buildroot}%{_unitdir}/
install -m0660 doc/sample-ngircd.conf %{buildroot}%{_sysconfdir}/ngircd.conf
install -m644 ngircd.pam %{buildroot}%{_sysconfdir}/pam.d/ngircd

echo "%{name}-%{version}-%{release}"  %{buildroot}%{_sysconfdir}/ngircd.motd
rm -rf %{buildroot}%{_docdir}/ngircd

mkdir -p %{buildroot}%{_tmpfilesdir}
cat <<EOF > %{buildroot}%{_tmpfilesdir}/%{name}.conf
d /run/ngircd 0775 root ngircd
EOF

%pre
%_pre_useradd ngircd /tmp /sbin/nologin

%post
%_tmpfilescreate %{name}
%_post_service ngircd

%preun
%_preun_service ngircd

%postun
%_postun_userdel ngircd

%files
%doc AUTHORS COPYING ChangeLog NEWS README.md doc/*
%attr(0660,root,ngircd) %config(noreplace) %{_sysconfdir}/ngircd.conf
%attr(0660,root,ngircd) %ghost %config(noreplace) %{_sysconfdir}/ngircd.motd
%config(noreplace) %{_sysconfdir}/pam.d/ngircd
%{_tmpfilesdir}/%{name}.conf
%{_unitdir}/ngircd.service
%{_sbindir}/ngircd
%{_mandir}/man5/ngircd.conf*
%{_mandir}/man8/ngircd.8*


%changelog
* Sun Mar 27 2022 umeabot <umeabot> 26.1-3.mga9
+ Revision: 1829288
- Mageia 9 Mass Rebuild

* Sat Oct 02 2021 wally <wally> 26.1-2.mga9
+ Revision: 1747828
- rebuild for openssl 3.0.0

* Thu Apr 01 2021 daviddavid <daviddavid> 26.1-1.mga9
+ Revision: 1712288
- new version: 26.1

* Fri Dec 04 2020 luigiwalser <luigiwalser> 26-1.mga8
+ Revision: 1652355
- 26
- remove CVE patch and GCC 10 workaround (fixed upstream)

* Wed Jun 24 2020 ns80 <ns80> 25-3.mga8
+ Revision: 1599060
- add upstream patch for CVE-2020-14148 (mga#26853)

* Fri Feb 14 2020 umeabot <umeabot> 25-2.mga8
+ Revision: 1523098
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Wed Feb 20 2019 ns80 <ns80> 25-1.mga7
+ Revision: 1368862
- new version 25 that fixes a use-after-free security issue (mga#24304)

* Sun Sep 23 2018 umeabot <umeabot> 24-2.mga7
+ Revision: 1299740
- Mageia 7 Mass Rebuild

* Mon Sep 11 2017 guillomovitch <guillomovitch> 24-1.mga7
+ Revision: 1152691
- new version 24

* Wed Mar 02 2016 umeabot <umeabot> 23-3.mga6
+ Revision: 983802
- Rebuild for openssl
- Mageia 6 Mass Rebuild

* Tue Nov 17 2015 oden <oden> 23-1.mga6
+ Revision: 903752
- fix build
- 23

* Wed Oct 15 2014 umeabot <umeabot> 21.1-3.mga5
+ Revision: 741169
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 21.1-2.mga5
+ Revision: 682882
- Mageia 5 Mass Rebuild

* Thu Jun 12 2014 oden <oden> 21.1-1.mga5
+ Revision: 635794
- P0: rediff
- 21.1

* Sat Oct 19 2013 umeabot <umeabot> 20.3-2.mga4
+ Revision: 533136
- Mageia 4 Mass Rebuild

* Mon Aug 26 2013 oden <oden> 20.3-1.mga4
+ Revision: 471852
- 20.3

* Sat Apr 13 2013 oden <oden> 20.2-1.mga4
+ Revision: 409956
- 20.2 (fixes CVE-2013-1747, mgabz#9672)

* Sun Mar 24 2013 colin <colin> 20-4.mga3
+ Revision: 404859
- Add systemd requires and general post/pre fixes (mga#9302)

* Sun Jan 13 2013 luigiwalser <luigiwalser> 20-3.mga3
+ Revision: 364039
- add tmpfiles config for /run/ngircd
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 oden <oden> 20-1.mga3
+ Revision: 333354
- 20

* Tue Dec 04 2012 oden <oden> 19.2-1.mga3
+ Revision: 326382
- imported package ngircd


* Sun Nov 25 2012 Oden Eriksson <oeriksson@mandriva.com> 19.2-1
- mdv import
- drop the ident support
- systemd support

* Mon Jul 30 2012 Oden Eriksson <oeriksson@mandriva.com> 19.2-0.1
- 19.2

* Sun Apr 29 2012 Oden Eriksson <oeriksson@mandriva.com> 19.1-1mdv2012.0
+ Revision: 794426
- 19.1

* Wed Aug 24 2011 Oden Eriksson <oeriksson@mandriva.com> 18-1
+ Revision: 696499
- 18

* Thu Dec 23 2010 Oden Eriksson <oeriksson@mandriva.com> 17.1-1mdv2011.0
+ Revision: 624175
- 17.1

* Mon Nov 08 2010 Oden Eriksson <oeriksson@mandriva.com> 17-1mdv2011.0
+ Revision: 595030
- 17

* Fri Sep 24 2010 Oden Eriksson <oeriksson@mandriva.com> 16-1mdv2011.0
+ Revision: 580908
- 16

* Fri Apr 16 2010 Funda Wang <fwang@mandriva.org> 15-2mdv2010.1
+ Revision: 535274
- rebuild

* Fri Nov 13 2009 Oden Eriksson <oeriksson@mandriva.com> 15-1mdv2010.1
+ Revision: 465755
- 15

* Mon Jun 01 2009 Oden Eriksson <oeriksson@mandriva.com> 14.1-1mdv2010.0
+ Revision: 382004
- rediff one patch
- 14.1

* Fri Jan 30 2009 Oden Eriksson <oeriksson@mandriva.com> 13-2mdv2009.1
+ Revision: 335418
- disable avahi/zeroconf support per default (conditional switch)

* Fri Jan 23 2009 Oden Eriksson <oeriksson@mandriva.com> 13-1mdv2009.1
+ Revision: 332815
- import ngircd


* Fri Jan 23 2009 Oden Eriksson <oeriksson@mandriva.com> 13-1mdv2009.1
- initial Mandriva package (fedora import)

* Thu Oct 23 2008 Andreas Thienemann <andreas@bawue.net> 0.12.1-1
- Updated to 0.12.1
- Updated configuration sample

* Mon Aug 11 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.11.0-2
- fix license tag

* Mon Feb 11 2008 Andreas Thienemann <andreas@bawue.net> 0.11.0-1
- Updated to 0.11.0

* Tue Nov 20 2007 Andreas Thienemann <andreas@bawue.net> 0.10.3-1
- Rebased to 0.10.3
- Incorporated patches from fw@strlen.de

* Thu Apr 26 2007 Andreas Thienemann <andreas@bawue.net> 0.10.1-3
- Removed libident requirement
- Added patch from fw fixing server connections

* Mon Apr 02 2007 Andreas Thienemann <andreas@bawue.net> 0.10.1-2
- Added ngirc user

* Sat Mar 31 2007 Andreas Thienemann <andreas@bawue.net> 0.10.1-1
- Initial package
